## org.apache.jasper.compiler
Interface ErrorHandler

public interface ErrorHandler

Interface for handling JSP parse and javac compilation errors. An implementation of this interface may be registered with the ErrorDispatcher by setting the XXX initialization parameter in the JSP page compiler and execution servlet in Catalina's web.xml file to the implementation's fully qualified class name.

Author:
  Jan Luehe, Kin-man Chung

Method Summary
`void` `javacError(JavacErrorDetail[] details)` Processes the given javac compilation errors.
`void` `jspError(java.lang.String msg, java.lang.Exception exception)` Processes the given JSP parse error.
`void` `jspError(java.lang.String fname, int line, int column, java.lang.String msg, java.lang.Exception exception)` Processes the given JSP parse error.

Method Detail

### jspError

    public void jspError(java.lang.String fname,
                         int line,
                         int column,
                         java.lang.String msg,
                         java.lang.Exception exception)
                  throws JasperException

  Processes the given JSP parse error.

  Parameters:
    `fname` - Name of the JSP file in which the parse error occurred
    `line` - Parse error line number
    `column` - Parse error column number
    `msg` - Parse error message
    `exception` - Parse exception
  Throws:
    `JasperException`

### jspError

    public void jspError(java.lang.String msg,
                         java.lang.Exception exception)
                  throws JasperException

  Processes the given JSP parse error.

  Parameters:
    `msg` - Parse error message
    `exception` - Parse exception
  Throws:
    `JasperException`

### javacError

    public void javacError(JavacErrorDetail[] details)
                    throws JasperException

  Processes the given javac compilation errors.

  Parameters:
    `details` - Array of JavacErrorDetail instances corresponding to the compilation errors
  Throws:
    `JasperException`

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.